<%@ page contentType="text/html; charset=GBK" %>
<%@ taglib uri="/cms4j" prefix="cms4j" %>

<%@ page import = "cn.com.dekn.cms.util.*,cn.com.dekn.common.util.*" %>

<script src="../../js/validator.js"></script>


<% 
/***********************************
* TAG参数初始化
***********************************/

//指定显示哪一个专题
String VOTE_ID = ParamUtil.getStrParam(request,"VOTE_ID",""); 

//专题过滤器
String FILTER = ParamUtil.getStrParam(request,"FILTER",""); 
//网站群节点ID
String NODE_ID = ParamUtil.getStrParam(request,"NODE_ID","root");

//网站群节点参数
String CLUSTER_URL_PARAM = "";
if(null != request.getParameter("cluster_node_id")){
	CLUSTER_URL_PARAM = "cluster_node_id=" + cn.com.dekn.common.util.StrUtil.encodeHTML(request.getParameter("cluster_node_id").toString());
}


//系统模板路径
String CONTEXT_PATH = cn.com.dekn.cms.syscfg.vo.SiteConfig.getInstance(NODE_ID).getCONTEXT_PATH();
String TEMPLET_PATH = cn.com.dekn.cms.syscfg.vo.SiteConfig.getInstance(NODE_ID).getSITE_TEMPLET_PATH();

/***********************************
* 显示特性参数初始化
***********************************/
//标题长度
//int TITLE_LENGTH = StrUtil.getNotNullIntValue(request.getParameter("TITLE_LENGTH"),24);

//每行的高度
String ROW_HEIGHT = ParamUtil.getStrParam(request,"ROW_HEIGHT","22"); 

//打开方式　与html中<a>的target属性相同
String TARGET = ParamUtil.getStrParam(request,"TARGET","_blank"); 

//结果显示页
String VIEW_PAGE = CONTEXT_PATH + TEMPLET_PATH + "/" + ParamUtil.getStrParam(request,"VIEW_PAGE","");
//替换所有//
while(VIEW_PAGE.indexOf("//") >= 0){
	VIEW_PAGE = StrUtil.replaceAll(VIEW_PAGE,"//","/");
}
/***********************************
* CSS样式 参数初始化
***********************************/
//CSS样式：外面框架
String CSS = ParamUtil.getStrParam(request,"CSS","page_class_content");

%>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<cms4j:vote_list filter="<%=FILTER%>" id="<%=VOTE_ID%>"  node_id="<%=NODE_ID%>"> 
		<tr>
		  <td height="<%=ROW_HEIGHT%>" class="<%=CSS%>" ><a href="<%=VIEW_PAGE%>?vote_id=<%=vote_info.getID()%>&<%=CLUSTER_URL_PARAM%>" target="<%=TARGET%>"><%=vote_info.getTITLE()%></a> [<%=vote_info.getADD_DATE_FORMATED("yy-MM-dd")%>]</td>
		</tr>
	</cms4j:vote_list>
</table>
